Skip Navigation Links
Exit Print View
| Oracle Solaris Cluster Data Services Reference Manual Oracle Solaris Cluster 4.1

Search Scope:

- This Document
- Entire Library

### SUNW.sap_livecache

### , sap_livecache

- resource type implementation for failover SAP liveCache database

## Description

The SAP liveCache data service is managed by the Oracle Solaris Cluster Resource Group Manager (RGM) and is configured as a `LogicalHostname` resource, a SAP liveCache database resource.

The SAP liveCache database depends on the SAP xserver which is managed by data service `SUNW.sap_xserver`. Dependency should be set between the SAP liveCache resource group and the SAP xserver resource group.

You must set the following properties for a SAP liveCache database resource using the `clresource`(1CL) command.

### Standard Properties

See `r_properties`(5) for a description of the following resource properties.

`Retry_count`

  `Maximum: 10`

  `Default: 2`

  `Tunable:` Any time

`Retry_interval`

  `Maximum: 3600`

  `Default: 620`

  `Tunable:` Any time

`Thorough_probe_interval`

  `Maximum: 3600`

  `Default: 60`

  `Tunable:` Any time

### Extension Properties

`Monitor_retry_count` (`integer`)

  Default is 4. This property controls the restarts of the fault monitor. It indicates the number of times the fault monitor is restarted by the process monitor facility and corresponds to the `-n` option passed to the `pmfadm`(1M) command. The number of restarts is counted in a specified time window (see the property `Monitor_retry_interval`). Note that this property refers to the restarts of the fault monitor itself, not SAP liveCache. SAP liveCache restarts are controlled by the system-defined properties `Thorough_Probe_Interval`, `Retry_Interval`, and `Retry_Count`, as specified in their descriptions. You can modify the value for this property at any time.

`Monitor_retry_interval` (`integer`)

  Default is 2. Indicates the time in minutes over which the failures of the fault monitor are counted and corresponds to the `-t` option passed to the `pmfadm`(1M) command. If the number of times the fault monitor fails exceeds the value of `Monitor_retry_count` within this period, the fault monitor is not restarted by the process monitor facility. You can modify the value for this property at any time.

`Probe_timeout` (`integer`)

  Default is 90. Minimum value is 30. Indicates the time-out value (in seconds) used by the fault monitor to probe a SAP liveCache database instance. You can modify the value for this property at any time.

`Failover_enabled` (`boolean`)

  Defaults to TRUE. Indicates whether to failover or not when `retry_count` is exceeded during `retry_interval`. You must specify this property at resource creation time.

  Note - The `Failover_mode=RESTART_ONLY` setting matches the behavior of the `Failover_enabled=False` setting. The `Failover_mode=LOG_ONLY` setting goes a step further and prevents resources from restarting. Use the `Failover_mode` property instead of the `Failover_enabled` extension property to better control failover behavior. For more information, see the descriptions of the `LOG_ONLY` and `RESTART_ONLY` values for `Failover_mode` in `r_properties`(5).

`Livecache_Name` (`string array`)

  This property is the name of the liveCache database instance. Note the name is in uppercase (`LC-NAME`). You must specify this property at resource creation time.

`Confdir_list` (`string array`)

  This property only has one value which is the directory for livecache software and instance directories. You must specify this property at resource creation time.

  Default is `/sapdb`.

## Examples

Example 1 Configuration Example

For this example to work, you must first install the data service.

The following example creates a failover SAP liveCache database resource named `lc-rs` in an existing resource group called `lc-rg`. `lc-rg` must contain a `LogicalHostName` resource.

    # clresourcetype register SUNW.sap_livecache
    # clresource create -g lc-rg -t SUNW.sap_livecache \\
    -p LiveCache_Name=LC4 lc-rs

In this example, `LC4` is the SAP liveCache database instance name. The rest of the extension properties use the default values.

After the SAP liveCache database resource group and the SAP xserver resource group are created, set the dependency between them.

## Attributes

See `attributes`(5) for descriptions of the following attributes:

ATTRIBUTE TYPE | ATTRIBUTE VALUE
--- | ---
Availability | `ha-cluster/data-service/sap-livecache`

## See Also

`pmfadm`(1M), `scha_resource_get`(1HA),`clresourcegroup`(1CL), `clresourcetype`(1CL), `clresource`(1CL), `attributes`(5), `r_properties`(5)

Oracle Solaris Cluster Data Services Developer’s Guide

Copyright © 2000, 2012, Oracle and/or its affiliates. All rights reserved. Legal Notices |